using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

using lkfxdok.c;

namespace lkfxdok.LKF
{
    public class Controller
    {
        public static string Version
        {
            get
            {
                return LKFController.Version;
            }
        }

        public static string DataPath
        {
            get
            {
                return LKFController.DataPath;
            }
            set
            {
                LKFController.DataPath = value;
            }
        }

        public static uint ModelljahrMinimum
        {
            get
            {
                return LKFController.ModelljahrMinimum;
            }
        }

        public static uint ModelljahrMaximum
        {
            get
            {
                return LKFController.ModelljahrMaximum;
            }
        }

        public Controller()
        {

        }

        public string _Version
        {
            get
            {
                return Controller.Version;
            }
        }

        public string _DataPath
        {
            get
            {
                return Controller.DataPath;
            }
            set
            {
                Controller.DataPath = value;
            }
        }

        public uint _ModelljahrMinimum
        {
            get
            {
                return Controller.ModelljahrMinimum;
            }
        }

        public uint _ModelljahrMaximum
        {
            get
            {
                return Controller.ModelljahrMaximum;
            }
        }
    }
}
